/*
 Theme Name:   florenzia-immobilien.de
 Description:  www.florenzia-immobilien.de 2025
 Author:       Sebastian Pfund
 Author URI:   https://www.media-studio-pfund.de
 Template:     apartio
 Version:      1.0
 Text Domain:  florenzia
*/

.breadcrumb-menu,
.thm-logo-box.paroller.apartments-details-two,
#welcome2 .inner-title {
    display: none;
}

*::placeholder {
    color: lightgray;
}

input:not(:placeholder-shown):not(.wpcf7-not-valid),
textarea:not(:placeholder-shown):not(.wpcf7-not-valid) {
    background-color: white!important;
    color: black!important;
}

.our-agent .bottom p {
    white-space: nowrap;
}

.elementor-page-2507 .apartments-details-two {
    padding-bottom: 0;
}

.main-header {
    &.fixed-header {
        z-index: 99999!important;
    }
}

.page-id-2725 .main-header,
.page-id-3 .main-header {
    z-index: 0;
}


.service-style1-title .sec-title h2 {
    text-transform: none;
}

.e-con-full.no-padding {
    padding-block-end: 0;
}

@media screen and (max-width: 420px){
    a.btn-one {
        text-align: center;
        line-height: 150%!important;
        padding-top: 10px;
        padding-bottom: 10px;
    }
   
}

/* funnel */
#invest-funnel {
    p {
        margin: 0;
    }
    details {
        border: 2px solid black;
        &:not([open]){
            display: none;
        }
        &:not(:first-of-type) {
            border-top: none;
        }
        summary::marker {
            content: "";
        }
        summary {
            padding: 1rem 4rem 1rem 1rem;
            background-color: #e5bd72;
            color: white;
            font-size: clamp(1.4rem, 2vw, 2.2rem);
            line-height: normal;
            position: relative;
            &::after {
                font-family: "Font Awesome 5 Pro";
                content: "\f059";
                position: absolute;
                top: 50%;
                right: 2rem;
                transform: translateY(-50%);
                font-size: clamp(1.4rem, 3vw, 3rem);
            }
        }
        
       
        &#fieldset-kontakt summary::after {
            content: "";
        }
        &#fieldset-kontakt>div {
            padding: 1rem;
            label,
            input,
            textarea {
                width: 100%;
                display: block;
            }
            input,
            textarea {
                border: 1px solid grey;
                padding: .5rem 1rem;
            }
            textarea {
                height: 20rem;
            }
        }


        &[open] summary {
            pointer-events: none;
        }
        &:has(input:checked) summary::after,
        &#fieldset-kontakt:not(:has(input[aria-required="true"][value=""])) summary::after {
            content: "\f058";
            color: green;
        }
        &:has(input:checked)+details {
            &::details-content {
                display: block;
                visibility: visible;
            }
        }
        input[type="radio"] {
            position: absolute;
            left: 0;
            top: 0;
            opacity: 0;
        }

        .wpcf7-list-item {
            margin: 0;
        }

        .wpcf7-radio {
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            gap: 1rem;
            padding: 1rem;

            &>span {
                width: 100%;
                label {
                    width: 100%;
                    background-color: #efefef;
                    text-align: center;
                    padding: 1rem;
                    position: relative;
                    margin: 0;
                    cursor: pointer;
                    transition: all .2s;
                    span {
                        font-size: clamp(1.4rem, 2vw, 2rem);
                        line-height: normal;
                    }
                    &:has(input:checked){
                        background-color: green;
                        color: white;
                    }

                }
            }
        }
    }
}

@media screen and (min-width: 40em) {
    #invest-funnel {
        details {
            .wpcf7-radio {
                gap: 2rem;
                padding: 2rem;
                &>span {
                    width: 40%;
                }
            }

            summary {
                padding: 1rem 4rem 1rem 2rem;
            }

            &#fieldset-kontakt>div {
                padding: 1rem 2rem;
            }
        }

        
    }
}